/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.mail;

import com.funambol.util.CodedException;

/**
 * Thrown by the classes of the Mail library. 
 * The codes used by the MailException are in the range 2000-2999
 */
public class MailException extends CodedException {

    /** Generic code for an error in the Mail lib */
    public static final int GENERIC_MAIL_ERR      = 2000;

    /** Invalid address */
    public static final int INVALID_ADDRESS       = 2001;

    /** Invalid content type */
    public static final int INVALID_CONTENT       = 2002;

    /** Folder error */
    public static final int FOLDER_ERROR          = 2010;

    /** Message error */
    public static final int MESSAGE_ERROR         = 2020;

    /** Error removing message */
    public static final int MESSAGE_DELETE_ERROR  = 2021;

    public MailException(int code, String message){
        super(code, message);
    }

}

