/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.util;

import java.util.Date;

/**
 * Default debugger to be used instea of System.out.println(msg);
 */ 
public class ConsoleAppender implements Appender {
    
    /**
     * Default constructor
     */
    public ConsoleAppender() {
    }
    
    //----------------------------------------------------------- Public Methods
    /**
     * ConsoleAppender writes one message on the standard output
     */
    public void writeLogMessage(String level, String msg) {
        System.out.print(MailDateFormatter.dateToUTC(new Date()));
        System.out.print(" [" + level + "] " );
        System.out.println(msg);
    }
    
    /**
     * ConsoleAppender doesn't implement this method
     */
    public void initLogFile() {
    }

    /**
     * ConsoleAppender doesn't implement this method
     */
    public void openLogFile() {
    }

    /**
     * ConsoleAppender doesn't implement this method
     */
    public void closeLogFile() {
    }

    /**
     * ConsoleAppender doesn't implement this method
     */
    public void deleteLogFile() {
    }

}
