/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.util;

/**
 * Class monitoring the thread pool to handle any throwable
 */
public class ThreadPoolMonitor {
    
    /**
     * Handles any throwable event occurring in Thread Pool when running a task
     */
    public void handleThrowable(Class clazz, Runnable runnable, Throwable throwable) {
        throwable.printStackTrace();
        Log.error("Error running thread. Error: " + throwable + ". Class: " + 
                clazz.getName() + ". Runnable: " + runnable + ".");
    }
}